Bug 1420748 - Incorrect ordering of boot menu entries generated by grubby
Summary: Incorrect ordering of boot menu entries generated by grubby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grubby
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: rmarshall
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 1285601
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 13:00 UTC by Jaroslav Reznik
Modified: 2020-07-16 09:12 UTC (History)
15 users (show)

Fixed In Version: grubby-8.28-19.el7_2
Doc Type: If docs needed, set a value
Doc Text:
Previously, the grubby tool always set the newly added kernel as the default. The new-kernel-pkg tool originally added the debug boot entry and the normal boot entry, respectively. This caused that the debugging arguments were installed into non-debugging boot entries. With this update, the invocations in new-kernel-pkg have been fixed to install the debug entry and the normal entry, respectively. As a result, grubby now does not automatically set the latest added boot entry as the default entry and the order of boot entries is set to "normal kernel" and "with debugging", respectively.
Clone Of: 1285601
Environment:
Last Closed: 2017-03-14 15:00:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
grub.cfg before installing new kernel (4.12 KB, text/plain)
2017-03-08 08:51 UTC, Jan Stodola
no flags Details
grub.cfg after installing new kernel (6.03 KB, text/plain)
2017-03-08 08:52 UTC, Jan Stodola
no flags Details
/var/log/grubby (10.01 KB, text/plain)
2017-03-08 08:52 UTC, Jan Stodola
no flags Details
/var/log/grubby_prune_debug (296 bytes, text/plain)
2017-03-08 08:53 UTC, Jan Stodola
no flags Details
/boot/grub2/grubenv after installing new kernel (1.00 KB, text/plain)
2017-03-08 08:54 UTC, Jan Stodola
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2965051 0 None None None 2017-03-14 14:51:36 UTC
Red Hat Product Errata RHBA-2017:0510 0 normal SHIPPED_LIVE grubby bug fix update 2017-03-14 18:51:36 UTC

Description Jaroslav Reznik 2017-02-09 13:00:39 UTC
This bug has been copied from bug #1285601 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 4 Jan Stodola 2017-03-08 08:50:22 UTC
Retested with grubby-8.28-18.el7_2.x86_64, but the entry "with debugging " is still above the entry without debugging.
The entry without debugging is selected as the default boot entry and doesn't contain any debug boot options.
Moving back to ASSIGNED to address the ordering issue. Logs will be attached.

Comment 5 Jan Stodola 2017-03-08 08:51:53 UTC
Created attachment 1261135 [details]
grub.cfg before installing new kernel

Comment 6 Jan Stodola 2017-03-08 08:52:20 UTC
Created attachment 1261136 [details]
grub.cfg after installing new kernel

Comment 7 Jan Stodola 2017-03-08 08:52:54 UTC
Created attachment 1261137 [details]
/var/log/grubby

Comment 8 Jan Stodola 2017-03-08 08:53:15 UTC
Created attachment 1261138 [details]
/var/log/grubby_prune_debug

Comment 9 Jan Stodola 2017-03-08 08:54:10 UTC
Created attachment 1261139 [details]
/boot/grub2/grubenv after installing new kernel

Comment 13 Jan Stodola 2017-03-09 14:50:00 UTC
Moving to VERIFIED based on comment 12.

Comment 15 errata-xmlrpc 2017-03-14 15:00:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0510.html


Note You need to log in before you can comment on or make changes to this bug.